petsc-3.4.2 2013-07-02

# KSPSPECEST

Estimate the spectrum on the first KSPSolve, then use cheaper smoother for subsequent solves.

### Options Database Keys

| -ksp_specest_minfactor <0.9> | - Multiplier on the minimum eigen/singular value
| -ksp_specest_maxfactor <1.1> | - Multiplier on the maximum eigen/singular value
| -ksp_specest_richfactor <1> | - Multiplier on the richimum eigen/singular value
| -specest_ksp_type <type> | - KSP used to estimate the spectrum (usually CG or GMRES)
| -speccheap_ksp_type <type> | - KSP used as a cheap smoother once the spectrum has been estimated (usually Chebyshev or Richardson)
| see KSPSolve() for more | - Notes: This KSP estimates the extremal singular values on the first pass, then uses them to configure a smoother that uses fewer dot products. It is intended for use on the levels of multigrid, especially at high process counts, where dot products are very expensive.

The same PC is used for both the estimator and the cheap smoother, it is only set up once. There are no options keys for -specest_pc_ or speccheap_pc_ since it is the same object as -pc_.

### See Also

KSPCreate(), KSPSetType(), KSPType (for list of available types), KSP, KSPGMRES, KSPCG, KSPCHEBYSHEV, KSPRICHARDSON

Level:intermediate
Location:src/ksp/ksp/impls/specest/specest.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages